Перейти к содержимому

Одна задача в Excel (вертикальный формат)

GET
/export/{task_id}/excel
curl --request GET \
--url https://passports.dev.techcon-ml.ru/export/example/excel \
--header 'Authorization: Bearer <token>'

Выгружает все поля одной задачи в вертикальный Excel-файл (поле — значение). Имя файла: Passport_<имя задачи>.xlsx

task_id
required
Task Id
string

UUID задачи

Excel-файл Passport_<имя>.xlsx

Examplegenerated
example

Не авторизован или токен истёк

Media typeapplication/json
ApiErrorResponse
object
ok
Ok
boolean
error
required
ApiErrorDetail
object
code
required
Code

Машиночитаемый код ошибки (UPPER_SNAKE_CASE)

string
message
required
Message

Человекочитаемое описание ошибки

string
Example
{
"ok": false
}

Задача не найдена

Media typeapplication/json
ApiErrorResponse
object
ok
Ok
boolean
error
required
ApiErrorDetail
object
code
required
Code

Машиночитаемый код ошибки (UPPER_SNAKE_CASE)

string
message
required
Message

Человекочитаемое описание ошибки

string
Example
{
"ok": false
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}